<?php
/**
 * DiscountValueTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * DiscountValueTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные типы значений:   * &#x60;1&#x60; - скидка в процентах   * &#x60;2&#x60; - скидка в рублях
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountValueTypeEnum
{
    /**
     * Possible values of this enum
     */
    const DISCOUNT_VALUE_TYPE_PERCENT = 1;
    const DISCOUNT_VALUE_TYPE_RUB = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::DISCOUNT_VALUE_TYPE_PERCENT,
            self::DISCOUNT_VALUE_TYPE_RUB,
        ];
    }
}


